#!/bin/bash

. /opt/alt/python27/usr/share/python-cllib/scripts/cl-common

ACTION=$1

common_path="/usr/share/eig-mod-hostinglimits"
target="eig-mod-hostinglimits"
posteasyapache="/scripts/posteasyapache"
postupcp="/scripts/postupcp"
conf_d="/usr/local/apache/conf.d"

hook="$common_path/eig-mod-hostinglimits.pl"

install_hooks()
{
    # Update apache template
    /usr/local/cpanel/3rdparty/bin/perl $hook
    mkdir -p $conf_d
    /scripts/rebuildhttpdconf

    # Install hook for easyapache
    createHookHeader "$posteasyapache" "$target" "$common_path"
    writeToLog "posteasyapache: Headers checked" "$common_path"
    checkHookString "$posteasyapache" "$hook" "$target. Required $target to work"
    removeEmptyStringsFromFile "$posteasyapache"
    writeToLog "posteasyapache checked" "$common_path"

    # Install hook for postupcp
    createHookHeader "$postupcp" "$target" "$common_path"
    writeToLog "postupcp: Headers checked" "$common_path"
    checkHookString "$postupcp" "$hook" "$target. Update apache configs after update of CPanel"
    removeEmptyStringsFromFile "$postupcp"
    writeToLog "postupcp checked" "$common_path"
}

remove_hooks()
{
    # Remove hook for easyapache
    deleteAllInclude "$posteasyapache" "posteasyapache" "/#$target/d" "$common_path"
    writeToLog "posteasyapache: Delete hooks" "$common_path"

    # Remove hook for postupcp
    deleteAllInclude "$postupcp" "postupcp" "/#$target/d" "$common_path"
    writeToLog "postupcp: Delete hooks" "$common_path"
}

case "$ACTION" in
    install)
        install_hooks
    ;;
    remove)
        remove_hooks
    ;;
    *)
        echo "Usage: $0 install|remove"
        exit 1
esac
