#!/bin/bash

# Such formats are required by Ubuntu
EA_TARBALL_DIR="ea-apache24-mod-hostinglimits-1.0"
EA_TARBALL_NAME="ea-apache24-mod-hostinglimits_1.0.orig.tar.bz2"

# Recreate directory for the generated content
[ -d ../EA4 ] && rm -fr ../EA4
mkdir ../EA4

# Copy everything (except .git) from repo to the new dir
# and cd to the new dir
pushd ..
tar cf tmp-mod-hostinglimits.tar --exclude=.git mod_hostinglimits
pushd EA4 || exit
tar xf ../tmp-mod-hostinglimits.tar
rm -f ../tmp-mod-hostinglimits.tar

# rename top dir of tarball from the git repo name to the format required by Ubuntu
# and cd into renamed dir
mv mod_hostinglimits "${EA_TARBALL_DIR}"
pushd "${EA_TARBALL_DIR}" || exit

# Substitute PLAIN debian woth EA4 debian
mv debian debian.PLAIN
mv debian.EA4 debian

# Copy debian dir on up level - build system needs it to build Ubuntu package
cp -r debian ..

# Change refers to debian.EA4 files to just debian
sed -i 's/debian\.EA4/debian/g' ea-apache24-mod_hostinglimits.spec.tmpl

# Copy spec file on up level - build system needs it to build RPM
cp ea-apache24-mod_hostinglimits.spec.tmpl ../mod_hostinglimits.spec

# Create tarball and remove content
popd || exit
tar cjf "${EA_TARBALL_NAME}" --remove-files "${EA_TARBALL_DIR}"
popd || exit
popd || exit
