#!/bin/bash

# Such formats are required by Ubuntu
HTTPD24_TARBALL_DIR="mod_hostinglimits-1.0"
HTTPD24_TARBALL_NAME="mod_hostinglimits-1.0.tar.bz2"

# Recreate directory for the generated content
[ -d ../HTTPD24 ] && rm -fr ../HTTPD24
mkdir ../HTTPD24

# Copy everything (except .git and debian stuff) from repo to the new dir
# and cd to the new dir
pushd ..
tar cf tmp-mod-hostinglimits.tar --exclude=.git '--exclude=debian*' mod_hostinglimits
pushd HTTPD24 || exit
tar xf ../tmp-mod-hostinglimits.tar
rm -f ../tmp-mod-hostinglimits.tar

# rename top dir of tarball from the git repo name to the format required by Ubuntu
# and cd into renamed dir
mv mod_hostinglimits "${HTTPD24_TARBALL_DIR}"
pushd "${HTTPD24_TARBALL_DIR}" || exit

# Copy spec file on up level - build system needs it to build RPM
cp httpd24-mod_hostinglimits.spec.tmpl ../mod_hostinglimits.spec

# Copy patch file on top level - spec expected it to be there
cp httpd24/mod_hostinglimits4.patch ../mod_hostinglimits4.patch

# Create update module config
sed 's#/etc/httpd/modules/mod_hostinglimits.so#modules/mod_hostinglimits.so#' < modhostinglimits.conf >../modhostinglimits.conf


# Create tarball and remove content
popd || exit
tar cjf "${HTTPD24_TARBALL_NAME}" --remove-files "${HTTPD24_TARBALL_DIR}"
popd || exit
popd || exit
